Comment 17 for bug 395801

J'oubliais , le post est
ici<http://forum.ubuntu-fr.org/viewtopic.php?id=329373>:

2009/7/13 Olivier Girard <email address hidden>

> J'ai eu le meme probleme sur ma hardy et ma kubuntu toutes les deux en 32
> bits, d'ailleurs je déconseille pour l'instant sur le post que j'ai ouvert
> sur le forum d'ubuntu d'installer sur les 32 bits. Je me suis rendu compte
> grace à helen et à fredthefrench que cela fonctionnait bien sur les 64 bits.
> Du coup je suis repassé sur mon autre disque qui avait mon systeme
> principal (une jaunty) en 64 bits. J'ai compilé x264 et amr (pour avoir
> l'accés au format 3ggp, ça peut toujours servir, du temps que j'y étais).
> Quand j'ai voulu compilé la derniere version de ffmpeg, j'ai pas pu ,
> sois-disant je n'avais pas de compilateur !!!!!!
> Par contre mon installation c'est faite sans probleme avec le choix 3 .
> Mais, elle était beaucoup plus longue que sur mon autre ordinateur.
> Personnellement je pense à un probleme avec le compilateur gcc, meme si
> ffmpeg n'est pas à exclure encore. Le conseil que je te donnerai, c'est
> d'essayer que sur ta 64 bits et de refaire une compilation de ffmpeg,
> avformat le concernant et tu as peut-etre eu une erreur de compilation comme
> le pense jonathan. On a les memes infos et le meme compilateur gcc4.3.3.
> T'as la version 0.90 ? Moi c'est la 0.82 Vivement que les deb et le ppa
> arrivent, cela simplifiera les choses mais ce n'est pas évident à faire car
> le programme est en python, prog qui ne necessite pas de compilateur pour
> fonctionner. J'ai tellement insisté auprès de jonathan pour avoir des deb
> [?][?][?][?]
>
> 2009/7/13 SnowBall <email address hidden>
>
> Here is the result of the ffmpeg -format command:
>>
>> ~$ ffmpeg -format
>> FFmpeg version SVN-r19424, Copyright (c) 2000-2009 Fabrice Bellard, et al.
>> configuration: --enable-gpl --enable-nonfree --enable-pthreads
>> --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-libtheora
>> --enable-libx264 --enable-libxvid --enable-x11grab
>> libavutil 50. 3. 0 / 50. 3. 0
>> libavcodec 52.32. 0 / 52.32. 0
>> libavformat 52.36. 0 / 52.36. 0
>> libavdevice 52. 2. 0 / 52. 2. 0
>> libswscale 0. 7. 1 / 0. 7. 1
>> built on Jul 13 2009 16:33:32, gcc: 4.3.3
>>
>>
>> I've done several installation with the wizard even on my laptop and on my
>> desktop.
>> The result stay the same.
>> So, to me, the 64 or the 32bits processor don't have any influence here.
>>
>> If I understand good, I need to re-compile the 'mlt' to get (or not) the
>> 'avformat'.
>> The 'avformat' hasn't anything to do with ffmpeg. (for compiling matter, I
>> mean) ?!!?
>>
>> To be honest, I not very familiar with that.. ;-)
>>
>> Anyway, if I don't find the problem... a *.deb package is on the way
>> ->thanks for the work Jonathan.
>>
>> ***********
>> <french mode>
>> Oui cenwen,
>> Je suis francophone (Belgique).
>> J'ai tenté plusieurs réinstallation à l'aide du wizard et dans différentes
>> configurations mais le problème reste le même.
>> J'ai compilé la dernière version de ffmpeg (voir post précédent pour le
>> lien 'tuto').
>> Dès que je tente d'importer quoi que ce soit dans openshot (*.avi, *.dv,
>> *.mp3, *.jpg,...), il crash.
>> Si je ne trouve pas le problème du avformat, il restera le futur paquet
>> .deb que Jonathan est occupé à préparer.
>> Voilà, A+
>> </french mode>
>>
>> --
>> Crash window when i import an video or an audio file
>> https://bugs.launchpad.net/bugs/395801
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in OpenShot Video Editor: New
>>
>> Bug description:
>> Hello Jonathan.
>> I have done another installation on a kubuntu 9.04 jaunty with the
>> builder_wizard 1.03 in my other computer/
>> I have choose the third option to have the least version of Ffmpeg. I've
>> done that 2 times but it's always the same. I can create a project without
>> problems but when i want to import an video (i.e. flv, mpeg, xvid) or an
>> audio (iemp3,ogg) the window is crashing each time with always "Error of
>> segmentation".
>> After i have tried your solution about x264.
>> I'm sorry but it's the same thing.
>> i have an error of type : cenwen@Triton:~/x264$ x264
>> x264 [error]: No input file. Run x264 --help for a list of options.
>> i have tried to see if i have libavformat-dev with the melt command but
>> you can see the result below:
>> cenwen@Triton:~/openshot/main$ melt -query producers
>> ---
>> producers:
>> - vorbis
>> - frei0r.ising0r
>> - frei0r.lissajous0r
>> - frei0r.nois0r
>> - frei0r.onecol0r
>> - frei0r.partik0l
>> - framebuffer
>> - xml
>> - xml-string
>> - libdv
>> - color
>> - colour
>> - consumer
>> - loader
>> - hold
>> - noise
>> - ppm
>> - kino
>> - melt
>> - melt_file
>> - pango
>> - pixbuf
>> - slowmotion
>> - pgm
>> ...
>> an idea perhaps ? ffmpeg ?
>> I'am thinking more and more that a ppa could be the best solution with a
>> binaire file for freior-plugin, mlt, x264, ffmpeg.
>> We could see more easy (perhaps, really i don't know) the errors but it's
>> always the same "error of segmentation". We could have more people for
>> testing. Isn't it ?
>> I haven't test that in my hardy, yet.
>>
>
>
>
> --
> Cenwen un elfe sur la banquise
>

--
Cenwen un elfe sur la banquise